<template>
	<div>
		<LayoutHeader
			title="Activer les permissions"
			desc="Tracktime a besoin des permissions de surveillance pour surveiller vos applications."
		/>
		<div class="flex gap-1 column mt-3 pb-2" />
		<ButtonArea>
			<button @click="addPermission()">
				<span v-if="state === 'INACTIVE'">Activer les permissions</span>
				<span v-if="state === 'LOADING'">Loading...</span>
			</button>
			<RouterLink v-if="ignore === true" to="/homepage" class="w-100 mt-1 md center-text">
				Ignorer les permissions
			</RouterLink>
		</ButtonArea>
	</div>
</template>

<script>
import ButtonArea from '@/components/ButtonArea';
import LayoutHeader from '@/components/LayoutHeader';
import { Permissions } from '@/common/permissions.service';

export default {
	name: 'Greeter',
	components: { ButtonArea, LayoutHeader },
	data: () => ({
		state: 'INACTIVE',
		ignore: false

	}),
	methods: {
		addPermission() {
			this.state = 'LOADING';
			Permissions.askMonitoringPermission()
				.then(_ => this.$router.push({ path: '/homepage' }))
				.catch(_ => {
					this.state = 'INACTIVE';
					this.ignore = true;
				});
		}
	}
};
</script>

<style lang="scss" scoped>
</style>
